services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false
    
  Tigris\BaseBundle\Reader\FileReaders:

  Tigris\BaseBundle\Reader\XlsReader:
    tags:
      - { name: tigris.file_reader, format: xls}
      - { name: tigris.file_reader, format: xlsx}

  Tigris\BaseBundle\Reader\CsvReader:
    tags:
      - { name: tigris.file_reader, format: csv}